| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iGenerateImageFunction Struct Reference

This class represents a function for csGenerateImageValueFunc. More...

`#include <cstool/gentrtex.h>`

Inheritance diagram for iGenerateImageFunction:

[legend]
List of all members.

## Public Member Functions
virtual float | GetValue (float dx, float dy)=0
| Get height or slope.

## Detailed Description

This class represents a function for csGenerateImageValueFunc.

Expects values for dx and dy between 0 and 1 and returns a height or slope.

Definition at line 185 of file gentrtex.h.

## Member Function Documentation

virtual float iGenerateImageFunction::GetValue | ( | float | dx,
|  | float | dy |
| ) |  |  | `[pure virtual]`

Get height or slope.

The documentation for this struct was generated from the following file:

- cstool/gentrtex.h